VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR:
[legend]

## Public Member Functions

| DisplayModeCreateInfoKHR (DisplayModeCreateFlagsKHR flags_=DisplayModeCreateFlagsKHR(), DisplayModeParametersKHR parameters_=DisplayModeParametersKHR())
| DisplayModeCreateInfoKHR (VkDisplayModeCreateInfoKHR const &rhs)
DisplayModeCreateInfoKHR & | operator= (VkDisplayModeCreateInfoKHR const &rhs)
DisplayModeCreateInfoKHR & | setPNext (const void *pNext_)
DisplayModeCreateInfoKHR & | setFlags (DisplayModeCreateFlagsKHR flags_)
DisplayModeCreateInfoKHR & | setParameters (DisplayModeParametersKHR parameters_)
| operator VkDisplayModeCreateInfoKHR const & () const
| operator VkDisplayModeCreateInfoKHR & ()
bool | operator== (DisplayModeCreateInfoKHR const &rhs) const
bool | operator!= (DisplayModeCreateInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
DisplayModeCreateFlagsKHR | flags
DisplayModeParametersKHR | parameters

## Private Attributes

StructureType | sType = StructureType::eDisplayModeCreateInfoKHR

## Detailed Description

Definition at line 11740 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DisplayModeCreateInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::DisplayModeCreateInfoKHR | ( | DisplayModeCreateFlagsKHR | flags_ = `DisplayModeCreateFlagsKHR()`,
|  | DisplayModeParametersKHR | parameters_ = `DisplayModeParametersKHR()`
| ) |  |

inline

Definition at line 11742 of file vulkan.hpp.

: flags( flags_ )
, parameters( parameters_ )
{
}

## DisplayModeCreateInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::DisplayModeCreateInfoKHR | ( | VkDisplayModeCreateInfoKHR const & | rhs | ) |

inline

Definition at line 11749 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayModeCreateInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkDisplayModeCreateInfoKHR &()

VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator VkDisplayModeCreateInfoKHR & | ( |  | ) |

inline

Definition at line 11782 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayModeCreateInfoKHR*>(this);
}

## operator VkDisplayModeCreateInfoKHR const &()

VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator VkDisplayModeCreateInfoKHR const & | ( |  | ) | const

inline

Definition at line 11777 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayModeCreateInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator!= | ( | DisplayModeCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 11795 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DisplayModeCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator= | ( | VkDisplayModeCreateInfoKHR const & | rhs | ) |

inline

Definition at line 11754 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayModeCreateInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator== | ( | DisplayModeCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 11787 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( parameters == rhs.parameters );
}

References flags, parameters, pNext, and sType.

Referenced by operator!=().

## setFlags()

DisplayModeCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::setFlags | ( | DisplayModeCreateFlagsKHR | flags_ | ) |

inline

Definition at line 11765 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setParameters()

DisplayModeCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::setParameters | ( | DisplayModeParametersKHR | parameters_ | ) |

inline

Definition at line 11771 of file vulkan.hpp.

{
parameters = parameters_;
return *this;
}

References parameters.

## setPNext()

DisplayModeCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11759 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

DisplayModeCreateFlagsKHR VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::flags

Definition at line 11805 of file vulkan.hpp.

Referenced by operator==().

## parameters

DisplayModeParametersKHR VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::parameters

Definition at line 11806 of file vulkan.hpp.

Referenced by operator==(), and setParameters().

## pNext

const void* VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::pNext = nullptr

Definition at line 11804 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::sType = StructureType::eDisplayModeCreateInfoKHR

private

Definition at line 11801 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:11804
VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::operator==
bool operator==(DisplayModeCreateInfoKHR const &rhs) const
Definition: vulkan.hpp:11787
VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:11801
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::DisplayModeCreateInfoKHR
DisplayModeCreateInfoKHR(DisplayModeCreateFlagsKHR flags_=DisplayModeCreateFlagsKHR(), DisplayModeParametersKHR parameters_=DisplayModeParametersKHR())
Definition: vulkan.hpp:11742
VkDisplayModeCreateInfoKHR
Definition: vulkan_core.h:4987
VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::flags
DisplayModeCreateFlagsKHR flags
Definition: vulkan.hpp:11805
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DisplayModeCreateInfoKHR::parameters
DisplayModeParametersKHR parameters
Definition: vulkan.hpp:11806